<?php
namespace Incoviba\Model\Venta\Promotion;

enum Type: int
{
    case FIXED = 1;
    case VARIABLE = 2;

    public function name(): string
    {
        return match ($this) {
            self::FIXED => 'fijo',
            self::VARIABLE => 'variable'
        };
    }
}
